
 LinHES - Bug # 248: Recordings owned by root

Status: Closed Priority: Normal
Author: mjl Category:
Created: 02/28/2009 Assignee:
Updated: 12/25/2011 Due date: 12/31/1969
Description: -rw-r--r--  1 root   root   4128807684 2009-02-28 20:00 1641_20090228193000.mpg

-rw-rw-rw-  1 root   root        63958 2009-02-28 20:20 1641_20090228193000.mpg.png

Should be owned by mythtv

History
05/29/2009 10:48 pm - craigtv
This is because the mythbackend service is starting mythbacked as root.  You can fix this by editing the following file:

<code>/etc/sv/mythbackend/run</code>

Near the end of the file, change this line:

<code>exec /usr/bin/mythbackend --logfile /var/log/mythtv/mythbackend.log</code>

to:

<code>exec /bin/su - mythtv -c "/usr/bin/mythbackend --logfile /var/log/mythtv/mythbackend.log"</code>

Note, you will also need to change the ownership of the mythbackend log so that the backend can still write to it ...

<code>chown myth:myth /var/log/mythtv/mythbackend.log</code>

Then restart the mythbackend service:

<code>sv restart mythbackend</code>

I've done this and not had any issues, but we might want to hear from one of the devs to make sure it wouldn't cause any issues.  Also, if there is a 
proper way to submit this as a patch, let me know.

06/08/2009 09:52 pm - cecil
Thanks for the post Craig.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04
